2 Replies Latest reply on Mar 8, 2017 6:55 AM by Fei Chen

    Is Infinispan 7.2.5.Final compatible with JDK 7

    Fei Chen Newbie

      Can I use JDK 7 with Infinispan 7.2.5.Final?

       

      I'm concerning about it because:

      1. The Infinispan 7.2 Release Note says:  

      • New design based on the ConcurrentHashMap from JDK 8

      2. While starting the Infinispan server (7.2.5.Final),  it's been started successfully but there's one ERROR in the log:

      • ERROR [stderr] (MSC service thread 1-35) ScriptEngineManager providers.next(): javax.script.ScriptEngineFactory: Provider jdk.nashorn.api.scripting.NashornScriptEngineFactory not found